package org.example.people;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;

import java.util.List;

@JacksonXmlRootElement(localName = "people")
public record People(
		@JacksonXmlElementWrapper(useWrapping = false)
		@JacksonXmlProperty(localName = "person")
		List<Person> persons) {
}
